Skip to content
Start here

Get Chrome DevTools Protocol schema.

GET/accounts/{account_id}/browser-rendering/devtools/browser/{session_id}/json/protocol

Returns the complete Chrome DevTools Protocol schema including all domains, commands, events, and types. This schema describes the entire CDP API surface.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Browser Rendering WriteBrowser Rendering Read
Path ParametersExpand Collapse
account_id: string

Account ID.

session_id: string

Browser session ID.

formatuuid
ReturnsExpand Collapse
domains: array of object { domain, commands, dependencies, 3 more }

List of protocol domains.

domain: string

Domain name.

commands: optional array of map[unknown]

Available commands.

dependencies: optional array of string

Domain dependencies.

events: optional array of map[unknown]

Available events.

experimental: optional boolean

Whether this domain is experimental.

types: optional array of map[unknown]

Type definitions.

version: optional object { major, minor }

Protocol version.

major: string

Major version.

minor: string

Minor version.

Get Chrome DevTools Protocol schema.

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/browser-rendering/devtools/browser/$SESSION_ID/json/protocol \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "domains": [
    {
      "domain": "domain",
      "commands": [
        {
          "foo": {}
        }
      ],
      "dependencies": [
        "string"
      ],
      "events": [
        {
          "foo": {}
        }
      ],
      "experimental": true,
      "types": [
        {
          "foo": {}
        }
      ]
    }
  ],
  "version": {
    "major": "major",
    "minor": "minor"
  }
}
Returns Examples
{
  "domains": [
    {
      "domain": "domain",
      "commands": [
        {
          "foo": {}
        }
      ],
      "dependencies": [
        "string"
      ],
      "events": [
        {
          "foo": {}
        }
      ],
      "experimental": true,
      "types": [
        {
          "foo": {}
        }
      ]
    }
  ],
  "version": {
    "major": "major",
    "minor": "minor"
  }
}